Delivers the current customer-group mappings of a SCX seller by its sales channel id.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/customer-group-mappings \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/customer-group-mappings"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/{salesChannelId}/scx/sellers/customer-group-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"channelPriceTypeId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesChannelId": "<string>",
"customerGroupId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"priceTypeId": "<string>"
}
]{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}wawi
Delivers the current customer-group mappings of a SCX seller by its sales channel id.
Delivers the current customer-group mappings of a SCX seller by its sales channel id.
GET
/
v2
/
sales-channels
/
{salesChannelId}
/
scx
/
sellers
/
customer-group-mappings
Delivers the current customer-group mappings of a SCX seller by its sales channel id.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account (composite id, ADR-69).
Response
Success.
Identifier of the channel price type (mapping key).
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Sales channel id of the seller this mapping belongs to (composite id, ADR-69).
Identifier of the mapped customer group.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Identifier of the channel price type as supplied by the channel, resolved server-side.
Was this page helpful?